$ErrorActionPreference = 'Stop';

$packageName= 'invantive-query-tool'

$packageArgs = @{
  packageName = $packageName
  fileType = 'MSI'
  url = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.20-BETA.msi'
  url64bit = 'https://download.invantive.com/release/msi/Invantive%20Query%20Tool-20.1.20-BETA.msi'
  softwareName = 'Invantive Query Tool'
  checksum = 'C5B3452D7B7B3644AF7CB6970CB55DC74D6BC447D76EE598A8E34267B73A6E8F'
  checksumType = 'sha256'
  checksum64 = 'C5B3452D7B7B3644AF7CB6970CB55DC74D6BC447D76EE598A8E34267B73A6E8F'
  checksumType64 = 'sha256'
  silentArgs = "/qn /norestart /l*v `"$env:Temp\invantive-query-tool-20.1.20-msi-install.log`""
  validExitCodes = @(0, 3010, 1641)
}

Install-ChocolateyPackage @packageArgs
